Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class ComputeSVMError

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.EvaluateResults
              edu.udo.cs.miningmart.operator.ComputeSVMError

    public class ComputeSVMError

extends EvaluateResults

This class computes an error for the SupportVectorMachine. It is based on the application of the operator `SupportVectorMachineForRegression` previously in the operator chain.

Version:
  $Id: ComputeSVMError.java,v 1.7 2006/09/27 14:59:55 euler Exp $
Author:
  Timm Euler
See Also:
  `SupportVectorMachineForRegression`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`ComputeSVMError()`

Method Summary
`double` | `computeResult(double[] actualvalue, double[] predictedvalue)` Abstract method to be implemented by all subclasses.
`void` | `createStatement(boolean lazy)` Abstract method for generating an sql-statement.
`Value` | `getEpsilon()` Gets the epsilon.
`Value` | `getLossFunctionNeg()` Gets the lossFunctionNeg.
`Value` | `getLossFunctionPos()` Gets the lossFunctionPos.

Methods inherited from class edu.udo.cs.miningmart.operator.EvaluateResults
`compileStatement, getActualValueAttribute, getInputConcept, getPredictedValueAttribute, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputeSVMError

    public ComputeSVMError()

Method Detail

### computeResult

    public double computeResult(double[] actualvalue,
                                double[] predictedvalue)
                         throws M4CompilerError

  Description copied from class: `EvaluateResults`
  Abstract method to be implemented by all subclasses. The values of two columns are compared to compute an error. The "true" values of a column as well as the learned/predicted ones are given. The result should be an error value of some description.

  Specified by:
    `computeResult` in class `EvaluateResults`
  Parameters:
    `actualvalue` - An array with the true values.
    `predictedvalue` - An array with the predicted values.
  Returns:
    an error value
  Throws:
    `M4CompilerError`
  See Also:
    `EvaluateResults.computeResult(double[], double[])`

### createStatement

    public void createStatement(boolean lazy)
                         throws java.sql.SQLException,
                                M4CompilerError

  Description copied from class: `ExecutableOperator`
  Abstract method for generating an sql-statement. This method handles the process of generating an sql-statement for an operator. The implementation is done individually by every operator.

  Overrides:
    `createStatement` in class `EvaluateResults`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.operator.Operator#createStatement`

### getEpsilon

    public Value getEpsilon()
                     throws M4CompilerError

  Gets the epsilon.

  Returns:
    Returns a Value
  Throws:
    `M4CompilerError`

### getLossFunctionNeg

    public Value getLossFunctionNeg()
                             throws M4CompilerError

  Gets the lossFunctionNeg.

  Returns:
    Returns a Value
  Throws:
    `M4CompilerError`

### getLossFunctionPos

    public Value getLossFunctionPos()
                             throws M4CompilerError

  Gets the lossFunctionPos.

  Returns:
    Returns a Value
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005